Create a new provider connection
POST
/api/v1/providers
const url = 'https://api.yggy.tech/api/v1/providers';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"type":"jira","name":"example","config":{"additionalProperty":"example"},"detail":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.yggy.tech/api/v1/providers \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "type": "jira", "name": "example", "config": { "additionalProperty": "example" }, "detail": "example" }'Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
type
required
string
name
required
string
config
object
key
additional properties
detail
string
Responses
Section titled “ Responses ”Provider created
Media type application/json
object
provider
required
object
id
required
string
organizationId
required
string
userId
required
string | null
type
required
string
name
required
string
status
required
string
config
required
object
key
additional properties
detail
required
string | null
lastSyncAt
required
string | null
failingSince
required
Start of the current run of failed syncs; null while syncs work.
string | null
lastErrorClass
required
Why the last sync failed. Never the provider’s own error text.
string | null
createdAt
required
string
updatedAt
required
string
Example
{ "provider": { "type": "jira", "status": "connected", "lastErrorClass": "provider_error" }}Invalid request body, or no active organization
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}Not authenticated
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}A provider with this name already exists
Media type application/json
object
success
required
boolean
error
required
object
message
required
string
code
required
string
details
Example
{ "success": false, "error": { "code": "INTERNAL_ERROR" }}